Subject: [ofa-general] Re: [PATCH 2/3][NET_BATCH] net core use batching

From: Jeff Garzik <[email-masked]>
Date: Tue, 09 Oct 2007 16:20:14 -0400

David Miller wrote:
> From: Jeff Garzik <[email-masked]>
> Date: Tue, 09 Oct 2007 08:44:25 -0400
> 
>> David Miller wrote:
>>> From: Krishna Kumar2 <[email-masked]>
>>> Date: Tue, 9 Oct 2007 16:51:14 +0530
>>>
>>>> David Miller <[email-masked]> wrote on 10/09/2007 04:32:55 PM:
>>>>
>>>>> Ignore LLTX, it sucks, it was a big mistake, and we will get rid of
>>>>> it.
>>>> Great, this will make life easy. Any idea how long that would take?
>>>> It seems simple enough to do.
>>> I'd say we can probably try to get rid of it in 2.6.25, this is
>>> assuming we get driver authors to cooperate and do the conversions
>>> or alternatively some other motivated person.
>>>
>>> I can just threaten to do them all and that should get the driver
>>> maintainers going :-)
>> What, like this?  :)
> 
> Thanks, but it's probably going to need some corrections and/or
> an audit.

I would be happy if someone wanted to audit that patch.

> If you unconditionally take those locks in the transmit function,
> there is probably an ABBA deadlock elsewhere in the driver now, most
> likely in the TX reclaim processing, and you therefore need to handle
> that too.

And I most certainly checked the relevant transmit paths and other 
locking to make sure lock ordering was correct.

	Jeff